; int20P.asm   VKD_Disable_Keyboard
;                
;  INT 20 P - Microsoft Windows - VKD - VxD SERVICES
; 	VxD = 000Dh
;  Note:	the desired VxD and service number are identified by the data
; 	  immediately following the INT 20 instruction, as in:
; 		INT	20h
; 		DW	service number
; 		DW	VxD identifier

.model   small
.486
.stack   200h    

.data


.code

start:                      
         mov      ax,@data
         mov      ds,ax 

         mov      ax, 160ah
         int      2fh      ; IDENTIFY WINDOWS VERSION AND TYPE
         
         cmp      bh,4     ; BX = version (BH=major, BL=minor)
                           ; Windows95 reports version 4.00, Windows95B reports version 4.03

         jl       No_Win95_Or_Greater ; 

INT      20h
         DW       0010h  ; service number - VKD_Disable_Keyboard
         DW       00Dh   ; VxD identifier

No_Win95_Or_Greater:

exit:
         mov          ax,4c00h
         int          21h

end     start

